# SpaceBandits: Deep Contextual Bandits Models made Simple

Approximate Bayesian inference with neural networks has demonstrated robust performance in numerous empirical studies of contextual bandits problems [[Google Brain, 2018](https://arxiv.org/pdf/1802.09127.pdf)][[Hubspot, 2018](https://arxiv.org/pdf/1807.09809.pdf)]. Isn't it time for a package that makes deep Bayesian contextual bandits models simple to use?<br><br>

SpaceBandits takes the models developed and experimented on in the 2018 Google Brain research paper [Deep Bayesian Bandits Showdown: An Empirical Comparison of Bayesian Deep Networks for Thompson Sampling](https://arxiv.org/pdf/1802.09127.pdf) and makes them easy to build, train, manage, and deploy.

## Usage

The alpha release of SpaceBandits, v0.0.990, is the current version. To install the latest release, use pip:

`
pip install space-bandits
`

For a introduction to using the library and the online-learning API, check out the [demo notebook](demo.ipynb).<br><br>
A toy problem and offline-learning API walkthrough is available in the [toy problem notebook](toy_problem.ipynb)

## Development

SpaceBandits is currently in development. Please use it and report any issues you have so I can try to address them before the v0.1.0 release.<br><br>

Contributors are welcomed! New models from the [Google Brain paper](https://arxiv.org/pdf/1802.09127.pdf) or others might find a home here as well.
